Page MenuHomePhabricator

Implement secondary Jade Integrations
Closed, ResolvedPublic

Description

Jade data is useful other places in the wiki. Similarly, users would want to submit judgments from elsewhere as well. This task is a container of useful secondary integrations.

Event Timeline

Halfak created this task.Aug 6 2019, 8:50 PM
Halfak triaged this task as Low priority.Sep 11 2019, 9:17 PM
Wargo removed a subscriber: Wargo.Jan 6 2020, 6:42 PM
ACraze renamed this task from Impement secondary Jade Integrations to Implement secondary Jade Integrations.Apr 13 2020, 5:24 PM

Change 591503 had a related patch set uploaded (by Accraze; owner: Accraze):
[mediawiki/extensions/Jade@master] Re-enable db hooks

https://gerrit.wikimedia.org/r/591503

Dropping my notes here on the current state of the secondary integrations.

All of these hooks are currently disabled (minus MoveHooks) due to the failing tests related to our updated schemas.

The link tables are currently managed via hooks:

  • DatabaseSchemaHooks (WIP patchset)
    • LoadExtensionSchemaUpdates
      • Fired when MediaWiki is updated to allow Jade extension to update the database. We add a link table to the db and set a couple of indexes on each table.
      • Proposed Table: jade_diff_label
  • LinkTableHooks (WIP patchset)
    • PageContentInsertComplete
      • Occurs after a new article is created. Updates link tables after a new entity page is inserted.
    • ArticleDeleteComplete
      • Removes link when an entity page is deleted.
    • ArticleUndelete
      • Restores link when an entity page is undeleted.
  • LinkSummaryHooks
    • PageContentSaveComplete
      • Occurs after the save page request has been processed. This mostly updates the ‘summary’ data in the link tables.
      • Summary data is the “preferred” proposal data
  • MoveHooks (enabled on beta)
    • MovePageIsValidMove
      • Specify whether a page can be moved for technical reasons. Right now only checking to make sure pages stay under the Jade namespace.

Change 591503 merged by jenkins-bot:
[mediawiki/extensions/Jade@master] Re-enable db hooks

https://gerrit.wikimedia.org/r/591503

Change 602767 had a related patch set uploaded (by Accraze; owner: Accraze):
[mediawiki/extensions/Jade@master] Re-enable LinkSummary hook

https://gerrit.wikimedia.org/r/602767

Change 602767 merged by jenkins-bot:
[mediawiki/extensions/Jade@master] Re-enable LinkSummary hook

https://gerrit.wikimedia.org/r/602767

ACraze closed this task as Resolved.Sep 23 2020, 5:02 PM